Package org.eclipse.m2m.atl.engine.emfvm

# Class VMException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.m2m.atl.common.ATLExecutionException
org.eclipse.m2m.atl.engine.emfvm.VMException

All Implemented Interfaces:
  `Serializable`

public class VMException extends ATLExecutionException
Exceptions thrown by the VM.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`VMException(AbstractStackFrame frame, String message)`
Creates a VM exception with the given message.
`VMException(AbstractStackFrame frame, String message, Throwable cause)`
Creates a VM exception with the given message and cause.

## Method Summary

Modifier and Type
Method
Description
`void`
`printStackTrace(PrintStream s)`
`void`
`printStackTrace(PrintWriter s)`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VMException

public VMException(AbstractStackFrame frame, String message)
Creates a VM exception with the given message.

Parameters:
  `frame` - the frame context
  `message` - the message

### VMException

public VMException(AbstractStackFrame frame, String message, Throwable cause)
Creates a VM exception with the given message and cause.

Parameters:
  `frame` - the frame context
  `message` - the message
  `cause` - the cause

## Method Details

### printStackTrace

public void printStackTrace(PrintStream s)

Overrides:
  `printStackTrace` in class `Throwable`
See Also:
  - `Throwable.printStackTrace(java.io.PrintStream)`

### printStackTrace

public void printStackTrace(PrintWriter s)

Overrides:
  `printStackTrace` in class `Throwable`
See Also:
  - `Throwable.printStackTrace(java.io.PrintWriter)`